%define module  html2text

Name:           python-%{module}
Version:        2020.1.16
Release:        %mkrel 3
Summary:        Converts a page of HTML into clean, easy-to-read plain ASCII text
Group:          Development/Python
License:        GPLv3
URL:            http://alir3z4.github.io/html2text/
Source0:        https://pypi.io/packages/source/h/%{module}/%{module}-%{version}.tar.xz
BuildArch:      noarch

%description
html2text is a Python script that converts a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

Also known as: THE ASCIINATOR, html to text, htm to txt, htm2txt, ...

%package -n     python3-%{module}
Summary:        Converts a page of HTML into clean, easy-to-read plain ASCII text
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
html2text is a Python script that converts a page of HTML into clean,
easy-to-read plain ASCII text. Better yet, that ASCII also happens to
be valid Markdown (a text-to-HTML format).

Also known as: THE ASCIINATOR, html to text, htm to txt, htm2txt, ...

This package contains python3 version of the package.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/html2text %{buildroot}%{_bindir}/python3-%{module}

%check
%{__python3} setup.py test || /bin/true

%files -n python3-%{module}
%{_bindir}/python3-%{module}
%{python3_sitelib}/*


%changelog
* Tue Aug 23 2022 tex - 2020.1.16-3pclos2022
- rebuild against updates

* Mon Aug 22 2022 tex - 2020.1.16-2pclos2022
- rebuild against updates

* Fri Aug 12 2022 TerryN <terryn94 at gmail.com> 2020.1.16-1pclos2022
- update and rebuild for python 3.10

* Fri Oct 04 2019 tex 2018.9.1-1pclos2019
- update
